Bug 102924 - libXrandr.so needs to link against libXext.so, etc.
Summary: libXrandr.so needs to link against libXext.so, etc.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-22 18:01 UTC by Elliot Lee
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version: 4.3.0-22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-24 08:16:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Elliot Lee 2003-08-22 18:01:40 UTC
At a minimum -lXext, but probably needs -lX11 as well, and maybe others.

Comment 1 Elliot Lee 2003-08-22 18:02:33 UTC
Sorry, this should be XFree86. My mistake.

Comment 2 Mike A. Harris 2003-08-22 22:56:22 UTC
XFree86-4.3.0-libXrandr-sharedreqs.patch should fix this.  It's in 4.3.0-22.
Please test and close as RAWHIDE if fixed now.  I'm going to leave it open
in case I remember to readelf the generated lib.

Thanks.

Comment 3 Mike A. Harris 2003-08-24 08:16:08 UTC
[mharris@devel Xrandr]$ ldd libXrandr.so.2.0
        libXrender.so.1 => /usr/X11R6/lib/libXrender.so.1 (0x40019000)
        libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x40022000)
        libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x40030000)
        libc.so.6 => /lib/i686/libc.so.6 (0x42000000)
        libdl.so.2 => /lib/libdl.so.2 (0x4010f000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x80000000)

This is from 4.3.0-22.  Oddly, while the library is now showing that it
is properly linked, readelf -s still shows render functions as UND.

Not sure if it's worth the time and effort to troubleshoot that however
unless it causes a real legitimate bug or problem.  Might be best reported
upstream perhaps.

Closing bug as fixed in 4.3.0-22 in rawhide.


Note You need to log in before you can comment on or make changes to this bug.